Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
Roman Schmid
@bummzack
I don't think you need variations for that… you could have multiple "Fares" added to your Product, then also store the selected one with your orderitem
Jonathon Su
@frontandcoder_twitter
Cool so just have multiple 'Fares' available in the product and then choose one specific fare selection for the orderitem when adding the product to the cart?
Roman Schmid
@bummzack
yeah
Jonathon Su
@frontandcoder_twitter
Awesome, thanks for that :)
rimu
@rimu
Hello everyone. How close on the timeline is compatibility with SS4?
rimu
@rimu
in git there are commit messages " [WIP] First cut of SS4 support (#625) " from 5 months ago but nothing more recent.
Sander Hagenaars
@sanderha
I think the master branch is semi compatible maybe
Roman Schmid
@bummzack
@rimu the latest alpha (3.0.0-alpha3) was released 23 days ago
I'm already using this in production with SS4, but there are potentially some changes coming to the templates, that's why I was holding off with releasing as beta or stable
rimu
@rimu
Thanks @bummzack I'll start my new site with SS4 then :)
Ron
@Ravhie
I installed silver shop version 2.x on my Silverstripe version 3, everything works fine until I click the proceed to payment and this error show.
No allowed gateways configured. Use Payment.allowed_gateways config.
what did I miss? someone help me please
Roman Schmid
@bummzack
@Ravhie Youn need to install the omnipay gateways you require and set the allowed gateways in your YML config. If you're just starting, you can use the Manual or Dummy gateway.
Ron
@Ravhie
@bummzack , will this work even in localhost?
Ron
@Ravhie
@bummzack After selecting paypal and proceed, this error occur
Server error
Sorry, there was a problem with handling your request.
what am I missing?
Roman Schmid
@bummzack
check your error log… did you install omnipay/paypal?
Ron
@Ravhie
should I install this ? composer require omnipay/paypal?
Roman Schmid
@bummzack
yes
Ron
@Ravhie
ok.. I will
it should be on the root folder, right? not inside omnipay folder?
cant install cause it requires omnipay/common
Lance Truman
@l_trumo_twitter
Hey guys - having an issue with no emails being sent out through the order process, either to the admin email that gets defined in the config file or the customer. Anyone else experienced this?
(this is on the latest release btw)
Lance Truman
@l_trumo_twitter
Got it working - I had set up the logs incorrectly in the yml file
but now that it is trying to send out emails I have a new error. When sending out the original email after an order is made I am getting "Call to a member function send() on null" on the swiftmailer as if the mailer doesnt exist. This doesnt happen anywhere else, if i change the status from the admin area then the emails are sent out fine. But i get this if I have a log set to send out on "Paid" status right when an order is created.
Lance Truman
@l_trumo_twitter
Also I am finding that even though I have set for the admin to be sent an email and bcc'd in to all the emails that get sent to the customer they are receiving nothing even if the customer gets something
Antony Thorpe
@AntonyThorpe
Hi, is there a demo module for SilverShop 3/SS4 that I could look at please? Have upgraded an existing site and am missing InternalItemID, pricing, etc. Can see the Product in the database but SilverShop_Product is empty. Might be a config issue I am thinking.
Sander Hagenaars
@sanderha
Did you upgrade form shop 3 to 4? Might not be the smoothest upgrade with namespaces and everything
Antony Thorpe
@AntonyThorpe
Hi yes SS4 with SilverShop dev-master. Maybe I need to data migrate? The SS upgrader tool is handy Thanks Cheers Antony
Lance Truman
@l_trumo_twitter
no answer for the email question? Still stuck on it.
Sander Hagenaars
@sanderha
Not sure about the email thing.. Have you tried setting up SMTP?
I havent experienced any email issues with silvershop
(only tried the ss3 version though=
Mohammadreza
@MohammaddReza
Hello, I'm from iran and i need to integrate the iranian payments system(I'll give the documents)
Is there anyone can help me?
Please tell me me about the wage
Hans Philip Eide
@hpeide
@l_trumo_twitter Hi. Don't know if this helps, but: I experienced that customer e-mail's where block by some providers because lack of encryption. Long story to short: I ended up to use Mailgun to handle e-mails using micschk/silverstripe-mailer-mailgun. Then I configured Mailgun to forward copies of the emails to my client address.
Vitaliy Tsymbalyuk
@webspilka
hi
after Installing silverstripe/installer (4.2.1)
I run
composer require silvershop/core ^3@dev
and get error [InvalidArgumentException]
Could not find package vendor at any version for your minimum-stability (dev). Check the package spelling or your minimum-stability
I try set
"minimum-stability": "alpha"
but it also did not work
Vitaliy Tsymbalyuk
@webspilka
Problem 1
- silverstripe/cms 3.1.0-beta1 requires silverstripe/framework 3.1.x-dev -> no matching package found.
cant instal on 4.2.1 ?
Roman Schmid
@bummzack
install dev-master for now
Vitaliy Tsymbalyuk
@webspilka
@bummzack Thanks!
Vitaliy Tsymbalyuk
@webspilka
In documentation (https://github.com/silvershop/silvershop-core/blob/master/docs/en/03_How_It_Works/Pricing.md) I see that product can show Discount. Where are the discounts implemented in the code? I do not see them in the admin.
Roman Schmid
@bummzack
There's a discounts-module for that: https://github.com/silvershop/silvershop-discounts
Vitaliy Tsymbalyuk
@webspilka
Do you have module for json api? Something like : http://site.com/api/v1/products
Roman Schmid
@bummzack
none that I'm aware of, sorry
Vitaliy Tsymbalyuk
@webspilka
please help
$products = Product::get(); // it’s object(SilverStripe\ORM\DataList)
how to convert it and product item variations to json ?
Antony Thorpe
@AntonyThorpe
@webspilka there is two modules here https://packagist.org/search/?q=silvershop
Vitaliy Tsymbalyuk
@webspilka
@AntonyThorpe thanks I search some like this. but I have problem with install
composer require toastnz/silvershop-api dev-master
Your requirements could not be resolved to an installable set of packages.

  Problem 1
    - Installation request for toastnz/silvershop-api dev-master -> satisfiable by toastnz/silvershop-api[dev-master].
    - toastnz/silvershop-api dev-master requires silverstripe/recipe-cms ^1.0.3 -> satisfiable by silverstripe/recipe-cms[1.0.3, 1.0.4, 1.0.x-dev, 1.1.0, 1.1.0-rc1, 1.1.0-rc2, 1.1.1, 1.1.2, 1.1.x-dev, 1.x-dev, 1.2.x-dev] but these conflict with your requirements or minimum-stability.
Antony Thorpe
@AntonyThorpe
@webspilka which SilverShop version are you using? Check the modules ‘composer.json’ for compatibility
Hans Philip Eide
@hpeide
Hi folks! How do I map old Silvershop db tables to the new prefixed?